Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

This is my preamble

\documentclass[a4paper,twoside,12pt,openright,final,oldfontcommands]{memoir}    
\usepackage[T1]{fontenc}
\usepackage{import}
\usepackage{color}
\usepackage{algorithm}
\usepackage{caption}
\captionsetup{font=small,labelfont=bf}
\usepackage{arabtex}
\usepackage{utf8}    
\usepackage{graphicx}
\usepackage{float}
\setcounter{secnumdepth}{3}
\usepackage{fixltx2e}
\usepackage{paralist}
\usepackage{hyperref}
\hypersetup{pdftex,
            linktocpage=true,
            bookmarks=true,
            colorlinks=true,
            citecolor=blue,
            filecolor=black,
            linkcolor=blue,
            urlcolor=black,
}
\usepackage[all]{hypcap}
\usepackage{footbib}
\usepackage{calc}
\copypagestyle{ruledsmallhd}{ruled}
\makeevenhead{ruledsmallhd}{\footnotesize\scshape\leftmark}{}{}
\makeoddhead{ruledsmallhd}{}{}{\footnotesize\scshape\rightmark}
\makeheadrule{ruledsmallhd}{0px}{0px}

And this is the error I get when I compile:

! Package footbib Error: the output routine of LaTeX changed.

What does it mean, and why is it happening?

share|improve this question
1  
what it means is that footbib wants to patch a standard latex output routine, and it finds that memoir has already patched it. one of the two has to give: either you have memoir or you have footbib. (unfortunately memoir doesn't emulate footbib ... it emulates a lot of others, but not footbib.) fwiw, you have the same problem with scrartcl, so that's not a way out. –  wasteofspace Feb 20 '12 at 21:01
1  
@anon: Go ahead and add that as an answer! –  doncherry Feb 20 '12 at 21:04
    
bother: scrub that -- i went to work to get something more modern, but the only available machine is (i now realise) running a linux that's still using tetex ... can't get to my own machine with tl11 on it (can't switch it on from here). –  wasteofspace Feb 20 '12 at 21:12

1 Answer 1

up vote 5 down vote accepted

The documentation for the footbib package, on page 8, notes that it "does not work with most packages which modify the output routine of LaTeX: multicol, ftnright, floatflt, wrapfig, etc." The package therefore does a number of (fairly) elaborate tests to check whether the output routine has been modified, and it issues a warning/error message when the tests turn out positive -- this is what you're encountering.

What to do? The full error message -- a warning message, really -- generated by the package suggests to:

  • Send an email to Eric.Domenjoud@loria.fr to get a new version (of footbib), and

  • Type X < return > to quit or cross your fingers and just type < return > [emphasis added]

In sum, there's a chance that, whatever modifications to the output routine that memoir undertakes, these modifications may not be sufficiently important to mess up footbib. You won't know until you actually give it a try.

share|improve this answer
    
So far I have gotten an error, it doesn't seem to read the .bib file or the entry corresponding to the keyword. I suppose I'll have to read the documentation one more time to make sure it's not related the memoir package. –  Ayman Elmasry Feb 21 '12 at 11:54
    
The memoir document class emulates lots of LaTeX packages that are out there, and one or more of memoir's components must be modifying the output routine. It's probably not so much a bug in memoir per se, but a matter of various packages relying on special modifications of the output routines that end up being incompatible with each other. :-( –  Mico Feb 21 '12 at 12:02
1  
So is there any other package with the same functionality as footbib that does not clash with memoir? It's much easier to change footbib than memoir. –  Ayman Elmasry Feb 21 '12 at 12:45

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.